Update a specific sync operation
curl --request PUT \
--url https://api.squared.ai/api/v1/syncs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sync": {
"source_id": 123,
"destination_id": 123,
"model_id": 123,
"schedule_type": "<string>",
"configuration": {},
"stream_name": "<string>",
"sync_mode": "<string>",
"sync_interval": 123,
"sync_interval_unit": "<string>",
"cron_expression": "<string>"
}
}
'import requests
url = "https://api.squared.ai/api/v1/syncs/{id}"
payload = { "sync": {
"source_id": 123,
"destination_id": 123,
"model_id": 123,
"schedule_type": "<string>",
"configuration": {},
"stream_name": "<string>",
"sync_mode": "<string>",
"sync_interval": 123,
"sync_interval_unit": "<string>",
"cron_expression": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sync: {
source_id: 123,
destination_id: 123,
model_id: 123,
schedule_type: '<string>',
configuration: {},
stream_name: '<string>',
sync_mode: '<string>',
sync_interval: 123,
sync_interval_unit: '<string>',
cron_expression: '<string>'
}
})
};
fetch('https://api.squared.ai/api/v1/syncs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"id": "<string>",
"type": "syncs",
"attributes": {
"source_id": 123,
"destination_id": 123,
"model_id": 123,
"configuration": {},
"schedule_type": "automated",
"sync_mode": "full_refresh",
"sync_interval": 123,
"sync_interval_unit": "minutes",
"cron_expression": "<string>",
"cursor_field": "<string>",
"stream_name": "<string>",
"status": "<string>"
}
}
}Syncs
Update Sync
PUT
/
api
/
v1
/
syncs
/
{id}
Update a specific sync operation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Was this page helpful?
⌘I